/* $Id: aayela.t 1.20 2001/08/16 19:18:52 mol Exp $
 * --------------------------------------------------------------
 * Main program for Aayela 1.2
 *
 * This file is a part of the source distribution of
 *
 * Aaylea - an Interactive Vision, release 1.2
 *
 * Copyright 1996-2001 by Magnus Olsson (mol@pobox.com).
 * All rights reserved.
 *
 * THIS CODE MAY BE DISTRIBUTED FREELY AS LONG AS IT IS NOT MODIFIED
 * IN ANY WAY, NO FEE IS CHARGED EXCEPT FOR DISTRIBUTION COST, AND
 * THIS COPYRIGHT NOTICE IS NOT ALTERED OR DELETED.
 * You may use the code, classes and algorithms as part of your
 * own programs as long as the following conditions are met:
 *
 * 1) No use of the characters, plot or text of the game
 *    "Aayela" are used in the derivative work (i.e. you may
 *    write another game set in darkness using this code, but
 *    you may not publish an "improved" version of Aayela)
 *    without the author's permission.
 * 2) The use of this code, and its origin, are acknowledged in 
 *    the derivative work.
 *
 * This version is tested with the Linux TADS compiler v2.5.5
 * --------------------------------------------------------------
 */

#include "verbs.t"
#include "dark.t"
#include "tunnels.t"
#include "cave.t"
#include "daemon.t"
#include "items.t"
#include "endgame.t"
#include "intro.t"

#ifdef __DEBUG
// wizard.t contains a set of debugging verbs written by
// Neil K. Guy. It should be available from the IF archive;
// if you don't have it, just leave the next line commented
// out. 
//#include <wizard.t>
#endif

modify version
    name = "\(Aayela\)"
    sdesc = "<< self.name >>,  .
     1.2 / 010815\b
    Copyright (c) 1996, 2001 by Magnus Olsson. 
      .\n
      TADS,    .\n
    : , 2003\n
     : [0.1 alpha prerelease]  08.10.2003
    \b"
;

info : object
    infotext = "\b<< version.name >>   Magnus Olsson
        (mol@pobox.com)      IF,  1996. 
         1.1 (1996)       
        . e 1.2 (2001)     TADS 2.5.5, 
                .\b
	Copyright (c) 1996, 2001 by Magnus Olsson.   .\b
	   - (freeware).
   \(\)   .
	     ,     
	- .       ,   
	    . ,    
	   .\b
	:\n
	  - .  ,    
    . 
	        ,   
  ,  .\b
        http://www.pobox.com/~mol/if.html\n"
	
    helptext = "\b   ,  , 
               ,   
          (,    ).\b
	          , 
             .
	          , ,  , 
             mol@pobox.com. "
;	


/*
 * Some minor modifications to the player.
 */
modify Me
    noun = '' '' '' '' '' '' // This seems to be a bug in TADS: these
			 // nouns are already defined but get forgotten!
    verDoEat(actor) = {
        "    . ";
    }
;
    
    	
    